Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Interface DrillReplace

All Superinterfaces:
  Extension

All Known Implementing Classes:
  DrillReplaceExt, TestDrillReplace

    public interface DrillReplace

extends Extension

Substitues the members of a hierarchy with the children of a member. Example: A table shows the continents "America", "Asia", "Europe" etc. DrillReplace for "Europe" will replace the continents with the countries of "Europe".

Author:
  av

Field Summary
`static java.lang.String` | `ID` name of the Extension for lookup

Method Summary
`boolean` | `canDrillDown(Member member)` drill down is possible if `member` has children
`boolean` | `canDrillUp(Hierarchy hier)` drill up is possible if not all members of the top level hierarchy are shown.
`void` | `drillDown(Member member)` replaces the members.
`void` | `drillUp(Hierarchy hier)` replaces all visible members of hier with the members of the next higher level.

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

  name of the Extension for lookup

  See Also:
    Constant Field Values

Method Detail

### canDrillDown

    boolean canDrillDown(Member member)

  drill down is possible if `member` has children

### canDrillUp

    boolean canDrillUp(Hierarchy hier)

  drill up is possible if not all members of the top level hierarchy are shown.

### drillDown

    void drillDown(Member member)

  replaces the members. Let `H` be the hierarchy that member belongs to. Then drillDown will replace all members from `H` that are currently visible with the children of `member`.

### drillUp

    void drillUp(Hierarchy hier)

  replaces all visible members of hier with the members of the next higher level.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD